# Kickstart Tutorials

## Tutorials on Component Functions in {{ our }}

|                     Tutorial ID                     |           Tutorial Title            | Release Date |   Colab Link    |
|:---------------------------------------------------:|:-----------------------------------:|:------------:|:---------------:|
|    [Tutorial 1](./module/expansion_function.md)     |      Data Expansion Functions       |     TBD      | To Be Provided  |
| [Tutorial 2](./module/extended_nested_expansion.md) | Extended and Nested Data Expansions |     TBD      | To Be Provided  |
|  [Tutorial 3](./module/reconciliation_function.md)  | Parameter Reconciliation Functions  |     TBD      | To Be Provided  |
|    [Tutorial 4](./module/remainder_function.md)     |         Remainder Functions         |     TBD      | To Be Provided  |
| [Tutorial 5](./module/data_processing_function.md)  |      Data Processing Functions      |     TBD      | To Be Provided  |

<!-- [![Colab Badge](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/) |-->

## Tutorials on {{ our }} Model Architecture

|             Tutorial ID             |              Tutorial Title              | Release Date |   Colab Link    |
|:-----------------------------------:|:----------------------------------------:|:------------:|:---------------:|
| [Tutorial 6](./model/rpn_model.md)  |          RPN Model Architecture          |     TBD      | To Be Provided  |
|  [Tutorial 7](./model/wide_rpn.md)  |       RPN with Wide Architectures        |     TBD      | To Be Provided  |
|  [Tutorial 8](./model/deep_rpn.md)  |        RPN with Deep Architecture        |     TBD      | To Be Provided  |
| [Tutorial 9](./model/rpn_config.md) |         RPN Model Configurations         |     TBD      | To Be Provided  |


## Tutorials on Datasets for {{ our }} Training

|              Tutorial ID               |       Tutorial Title        | Release Date |   Colab Link    |
|:--------------------------------------:|:---------------------------:|:------------:|:---------------:|
| [Tutorial 10](./data/function_data.md) | Continuous Function Dataset |     TBD      | To Be Provided  |
|  [Tutorial 11](./data/image_data.md)   |   Discrete Image Dataset    |     TBD      | To Be Provided  |
|   [Tutorial 12](./data/text_data.md)   |    Discrete Text Dataset    |     TBD      | To Be Provided  |
| [Tutorial 13](./data/tabular_data.md)  |   Classic Tabular Dataset   |     TBD      | To Be Provided  |

## Tutorials on Deep Function Learning Tasks with {{ our }}

|                   Tutorial ID                   |           Tutorial Title           | Release Date |   Colab Link    |
|:-----------------------------------------------:|:----------------------------------:|:------------:|:---------------:|
| [Tutorial 14](./task/function_approximation.md) | Continuous Function Approximation  |     TBD      | To Be Provided  |
|  [Tutorial 15](./task/image_classification.md)  |   Discrete Image Classification    |     TBD      | To Be Provided  |
|  [Tutorial 16](./task/text_classification.md)   |    Discrete Text Classification    |     TBD      | To Be Provided  |
|  [Tutorial 17](./task/dependency_inference.md)  | Probabilistic Dependency Inference |     TBD      | To Be Provided  |

